/*
 * This file (valid.c) is part of the sn package.
 * Distribution of sn is covered by the GPL. See file COPYING.
 * sn is copyright (c) 1998 Harold Tay.
 */
#ifndef SNNTPD_H
#define SNNTPD_H

extern int posting_ok;
extern char *client_ip;
extern char *me;
extern struct readln input;
extern int fifo;
extern int nrgroups;

extern int alltolower(char *buf);
extern int topline(char *group, char *fn, char *buf, int size);
extern char *currentgroup;
extern int currentserial;
extern struct group currentinfo;
extern int make_current(char *group);
extern int glob(char * group, char * pattern);
extern int pipefork(int p[2]);

#endif /* SNNTPD_H */
